extends Node2D

func _ready() -> void:
	$AudioStreamPlayer.play()
	$AudioStreamPlayer.get_stream_playback()

func _process(delta: float) -> void:
	# 再生位置(秒)
	var pos = $AudioStreamPlayer.get_playback_position()
	# 音声ファイルの長さ(秒)
	var length = $AudioStreamPlayer.stream.get_length()

	$Label.text = "position: %3.2f / %3.2f"%[pos, length]
